export declare class CLIError extends Error {
    readonly errorCode: number;
    readonly message: string;
    readonly name = "CLIError";
    constructor(message: string, errorCode?: number);
    toString(): string;
}
export declare const CLIErrorCode: {
    readonly INVALID_OPTIONS: -1;
    readonly GENERAL_ERROR: 1;
    readonly NOT_FOUND_BROWSER: 2;
    readonly LISTEN_PORT_IS_ALREADY_USED: 3;
    readonly CANNOT_SPAWN_SNAP_CHROMIUM: 4;
    /** @deprecated NOT_FOUND_CHROMIUM is renamed to NOT_FOUND_BROWSER. */
    readonly NOT_FOUND_CHROMIUM: 2;
};
export declare function error(msg: string, errorCode?: number): never;
export declare const isError: (e: unknown) => e is NodeJS.ErrnoException;
